* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    /* background: rgb(2, 0, 36);
    background: linear-gradient(45deg, rgba(2, 0, 36, 1) 0%, rgba(2, 2, 27, 1) 0%, rgba(61, 71, 71, 1) 100%); */
    /* background: rgb(34,193,195) no-repeat;
    background: linear-gradient(145deg, rgba(34,193,195,1) 0%, rgba(253,187,45,1) 100%) no-repeat; */
    background: rgb(147,93,224);
    background: linear-gradient(180deg, rgba(147,93,224,1) 0%, rgba(229,138,6,1) 100%);
    height: calc(100vh - 50px);
}
header{
    
}



#container-teddies{
    margin-top: 50px;
}
.round-color {
    border-radius: 50%;
    width: 30px;
    height: 30px;
    box-sizing: border-box;
    border: grey 2px solid;
}

h2 {
    font-size: 22px;
    top: -170px;
    left: 50%;
    transform: translateX(-50%);

}

h3 {
    position: absolute;
    z-index: -100;
    font-size: 15px;
    top: -180px;
    left: 50%;
    transform: translateX(-50%);

}

img {
    width: 250px;
    height: 250px;
    object-fit: cover;
    border-radius: 100%;
    filter: brightness(0.5);
    border: 3px white solid;
}

div[id^="teddy-color-"] {
    opacity: 0;
}

button[id^="teddy-"] {
    width: 300px;
    height: 350px;
    border-radius: 10px;
    border: none;
    color: white;
    border-color: rgb(58, 58, 58);
    outline: none;
    /* background-color: rgb(196, 196, 196); */
    background-color: transparent;
    box-shadow: none;
}

button[id^="teddy-"]:hover {
    transition: all 300ms 500ms;
    background-color: rgb(78, 58, 77);
    z-index: 1000;
    transform: scale(1.3);
}

button[id^="teddy-"]:hover img {
    transition: border-radius 500ms 200ms, width 300ms 400ms, filter 500ms;
    filter: brightness(1);
    transform-origin: center;
    margin: 0;
    width: 300px;
    border-radius: 5px 5px 0 0;

}

button[id^="teddy-"]:hover div>h2 {
    transition: all 300ms ease;
    top: -30px;
}

button[id^="teddy-"]:hover div>h3 {
    z-index: 1;
    transition: top 300ms 400ms ease;
    top: 0;
    animation: appear 200ms 500ms both;
}

button[id^="teddy-"]:hover div>div[id^="teddy-color-"] {
    z-index: 1;
    transition: top 300ms 400ms ease;
    top: 25px;
    animation: appear 300ms 600ms both;
}

@keyframes appear {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}